Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy
Class PolicyConstants

    java.lang.Object
      org.apache.cxf.ws.policy.PolicyConstants

    public final class PolicyConstants

extends java.lang.Object

Encapsulation of version-specific WS-Policy constants.

Field Summary
`static java.lang.String` | `CLIENT_IN_ASSERTIONS`
`static java.lang.String` | `CLIENT_INFAULT_ASSERTIONS`
`static java.lang.String` | `CLIENT_OUT_ASSERTIONS`
`static java.lang.String` | `CLIENT_POLICY_IN_FAULT_INTERCEPTOR_ID`
`static java.lang.String` | `CLIENT_POLICY_IN_INTERCEPTOR_ID`
`static java.lang.String` | `CLIENT_POLICY_OUT_INTERCEPTOR_ID`
`static java.lang.String` | `NAMESPACE_W3_200607`
`static java.lang.String` | `NAMESPACE_XMLSOAP_200409`
`static java.lang.String` | `SERVER_IN_ASSERTIONS`
`static java.lang.String` | `SERVER_OUT_ASSERTIONS`
`static java.lang.String` | `SERVER_OUTFAULT_ASSERTIONS`
`static java.lang.String` | `SERVER_POLICY_IN_INTERCEPTOR_ID`
`static java.lang.String` | `SERVER_POLICY_OUT_FAULT_INTERCEPTOR_ID`
`static java.lang.String` | `SERVER_POLICY_OUT_INTERCEPTOR_ID`

Method Summary
`static java.lang.String` | `getAllElemName()`
`static javax.xml.namespace.QName` | `getAllElemQName()`
`static java.lang.String` | `getAppliesToElemName()`
`static javax.xml.namespace.QName` | `getAppliesToElemQName()`
`static java.lang.String` | `getExactlyOneElemName()`
`static javax.xml.namespace.QName` | `getExactlyOneElemQName()`
`static java.lang.String` | `getIdAttrName()`
`static javax.xml.namespace.QName` | `getIdAttrQName()`
`static java.lang.String` | `getNamespace()`
`static java.lang.String` | `getOptionalAttrName()`
`static javax.xml.namespace.QName` | `getOptionalAttrQName()`
`static java.lang.String` | `getPolicyAttachmentElemName()`
`static javax.xml.namespace.QName` | `getPolicyAttachmentElemQName()`
`static java.lang.String` | `getPolicyElemName()`
`static javax.xml.namespace.QName` | `getPolicyElemQName()`
`static java.lang.String` | `getPolicyReferenceElemName()`
`static javax.xml.namespace.QName` | `getPolicyReferenceElemQName()`
`static java.lang.String` | `getPolicyURIsAttrName()`
`static javax.xml.namespace.QName` | `getPolicyURIsAttrQName()`
`static java.lang.String` | `getWSUNamespace()`
`static void` | `setNamespace(java.lang.String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE_XMLSOAP_200409

    public static final java.lang.String NAMESPACE_XMLSOAP_200409

See Also:
  Constant Field Values

### NAMESPACE_W3_200607

    public static final java.lang.String NAMESPACE_W3_200607

See Also:
  Constant Field Values

### CLIENT_POLICY_OUT_INTERCEPTOR_ID

    public static final java.lang.String CLIENT_POLICY_OUT_INTERCEPTOR_ID

See Also:
  Constant Field Values

### CLIENT_POLICY_IN_INTERCEPTOR_ID

    public static final java.lang.String CLIENT_POLICY_IN_INTERCEPTOR_ID

See Also:
  Constant Field Values

### CLIENT_POLICY_IN_FAULT_INTERCEPTOR_ID

    public static final java.lang.String CLIENT_POLICY_IN_FAULT_INTERCEPTOR_ID

See Also:
  Constant Field Values

### SERVER_POLICY_IN_INTERCEPTOR_ID

    public static final java.lang.String SERVER_POLICY_IN_INTERCEPTOR_ID

See Also:
  Constant Field Values

### SERVER_POLICY_OUT_INTERCEPTOR_ID

    public static final java.lang.String SERVER_POLICY_OUT_INTERCEPTOR_ID

See Also:
  Constant Field Values

### SERVER_POLICY_OUT_FAULT_INTERCEPTOR_ID

    public static final java.lang.String SERVER_POLICY_OUT_FAULT_INTERCEPTOR_ID

See Also:
  Constant Field Values

### CLIENT_OUT_ASSERTIONS

    public static final java.lang.String CLIENT_OUT_ASSERTIONS

See Also:
  Constant Field Values

### CLIENT_IN_ASSERTIONS

    public static final java.lang.String CLIENT_IN_ASSERTIONS

See Also:
  Constant Field Values

### CLIENT_INFAULT_ASSERTIONS

    public static final java.lang.String CLIENT_INFAULT_ASSERTIONS

See Also:
  Constant Field Values

### SERVER_IN_ASSERTIONS

    public static final java.lang.String SERVER_IN_ASSERTIONS

See Also:
  Constant Field Values

### SERVER_OUT_ASSERTIONS

    public static final java.lang.String SERVER_OUT_ASSERTIONS

See Also:
  Constant Field Values

### SERVER_OUTFAULT_ASSERTIONS

    public static final java.lang.String SERVER_OUTFAULT_ASSERTIONS

See Also:
  Constant Field Values

Method Detail

### getNamespace

    public static java.lang.String getNamespace()

### getWSUNamespace

    public static java.lang.String getWSUNamespace()

### getPolicyElemName

    public static java.lang.String getPolicyElemName()

### getAllElemName

    public static java.lang.String getAllElemName()

### getExactlyOneElemName

    public static java.lang.String getExactlyOneElemName()

### getPolicyReferenceElemName

    public static java.lang.String getPolicyReferenceElemName()

### getPolicyAttachmentElemName

    public static java.lang.String getPolicyAttachmentElemName()

### getAppliesToElemName

    public static java.lang.String getAppliesToElemName()

### getOptionalAttrName

    public static java.lang.String getOptionalAttrName()

### getPolicyURIsAttrName

    public static java.lang.String getPolicyURIsAttrName()

### getIdAttrName

    public static java.lang.String getIdAttrName()

### getPolicyElemQName

    public static javax.xml.namespace.QName getPolicyElemQName()

### getAllElemQName

    public static javax.xml.namespace.QName getAllElemQName()

### getExactlyOneElemQName

    public static javax.xml.namespace.QName getExactlyOneElemQName()

### getPolicyReferenceElemQName

    public static javax.xml.namespace.QName getPolicyReferenceElemQName()

### getPolicyAttachmentElemQName

    public static javax.xml.namespace.QName getPolicyAttachmentElemQName()

### getAppliesToElemQName

    public static javax.xml.namespace.QName getAppliesToElemQName()

### getOptionalAttrQName

    public static javax.xml.namespace.QName getOptionalAttrQName()

### getPolicyURIsAttrQName

    public static javax.xml.namespace.QName getPolicyURIsAttrQName()

### getIdAttrQName

    public static javax.xml.namespace.QName getIdAttrQName()

### setNamespace

    public static void setNamespace(java.lang.String uri)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.